import test from 'ava';
import {login, tid, expect, playstart, playstop } from '../../lib/testing.js';
import {knex} from '../../lib/ormish.js';
import { base_host } from "../../lib/config.js";

const fairpay = `${base_host}/client/#/bando/components/FairPay/`;

test.before(async t => {
  // BUG: is t.context an ava thing or can I do this?
  t.context = await playstart(`${base_host}/client/#/login/`);
});

test.after(async t => {
  knex.destroy();
  await playstop(t.context.browser, t.context.p);
});

test('test /FairPay works', async (t) => {
  const {p} = t.context;

  try {
    t.pass();
  } catch (error) {
    console.log(error);
    t.fail(error.message);
  }
});
